Subject: Re: bug#59945: [PATCH] Fix empty pairs in js tree-sitter imenu alist

From: "Charl P. Botha" <[email-masked]>
Date: Fri, 16 Dec 2022 07:58:46 +0200

Dear Yuan,

On Fri, Dec 16, 2022, at 03:40, Yuan Fu wrote:
> "Charl P. Botha" <[email-masked]> writes:
>> In the meantime, I've sent my signed copyright assignment, and my employer's docusigned disclaimer of rights, to the FSF.
>>
>> I would be super grateful if you could add the commit when you can make the time.
>
> Thanks. Unless I’m missing something, your patch is a diff file rather
> than a patch file. You can generate one with
>
> git format-patch -1 --stdout >~/mypatch.patch
>
> Don’t worry about commit message this time, I’ll reword your commit and
> add it. But if you want to submit more patches in the future I recommend
> you to read CONTRIBUTE file under repo root, which describes the commit
> message format Emacs uses.

I followed the instructions at https://www.gnu.org/software/emacs/manual/html_node/emacs/Sending-Patches.html which said to use "git format-patch master" and include either inline (which I did) or as a mime attachment.

I have now re-done it using your advice above, and included the patch file as attachment to this email.

Next time (would be great if it happens), I'll attach by default.

Kind regards,
Charl